Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.managedevents
Class PersistenceEvent

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<H>
              com.tibco.bpm.web.client.model.pagebus.hub.ManagedEvent<PersistenceEventHandler>
                  com.tibco.bpm.web.client.model.managedevents.PersistenceEvent

    public abstract class PersistenceEvent

extends ManagedEvent<PersistenceEventHandler>

Event for Persistence actions.

©2012 TIBCO Software Inc.

Since:
  2.0.0

Nested Class Summary
`static class` | `PersistenceEvent.Action`

Nested classes/interfaces inherited from class com.tibco.bpm.web.client.model.pagebus.hub.ManagedEvent
`ManagedEvent.DispatchScope`

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`com.google.gwt.event.shared.GwtEvent.Type<H>`

Field Summary
`static com.google.gwt.event.shared.GwtEvent.Type<PersistenceEventHandler>` | `TYPE`

Fields inherited from class com.tibco.bpm.web.client.model.pagebus.hub.ManagedEvent
`DEFAULT_VERSION, EXT_SUFFIX`

Constructor Summary
`PersistenceEvent()`

Method Summary
`static PersistenceEvent` | `create()`
`static PersistenceEvent` | `create(PersistenceEvent.Action action)`
`static PersistenceEvent` | `create(PersistenceEvent.Action action, java.lang.String persona)`
`PersistenceEvent.Action` | `getAction()`
`com.google.gwt.event.shared.GwtEvent.Type<PersistenceEventHandler>` | `getAssociatedType()`
`java.lang.String` | `getPersona()`
`void` | `setAction(PersistenceEvent.Action action)`
`void` | `setPersona(java.lang.String persona)`

Methods inherited from class com.tibco.bpm.web.client.model.pagebus.hub.ManagedEvent
`dispatch, dispatchLocal, fromJsonString, fromPageBusMessage, fromPageBusMessageDefault, getDispatchScope, getEventSourceId, getJsonizer, getManagedEventVersion, getReceivedSchemaId, getSchemaId, getSubscription, getTopic, isCacheEnabled, isDispatched, isFireWhenReceivedFromManagedHub, isReceivedFromManagedHub, isRegistered, setCacheEnabled, setDispatched, setDispatchScope, setEventSourceId, setFireWhenReceivedFromManagedHub, setManagedEventVersion, setReceivedSchemaId, setRegistered, setSubscription, toJsonString, toPageBusMessage, toPageBusMessageDefault`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static com.google.gwt.event.shared.GwtEvent.Type<PersistenceEventHandler> TYPE

Constructor Detail

### PersistenceEvent

    public PersistenceEvent()

Method Detail

### create

    public static PersistenceEvent create()

### create

    public static PersistenceEvent create(PersistenceEvent.Action action)

### create

    public static PersistenceEvent create(PersistenceEvent.Action action,
                                          java.lang.String persona)

### getAssociatedType

    public com.google.gwt.event.shared.GwtEvent.Type<PersistenceEventHandler> getAssociatedType()

  Overrides:
    `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<PersistenceEventHandler>`

### getAction

    public PersistenceEvent.Action getAction()

### setAction

    public void setAction(PersistenceEvent.Action action)

### getPersona

    public java.lang.String getPersona()

### setPersona

    public void setPersona(java.lang.String persona)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.